Evolver(1)

NAME
evolver - The Surface Evolver, minimize energy of a surface

SYNOPSIS
evolver [-adehimqwxy] [-f file] [-pN] [datafile]

DESCRIPTION
The Surface Evolver is a program that minimizes the energy of a triangulated surface according to designated energies and constraints. This man page only documents command line options and environment variables. The full package and documentation are available at http://www.susqu.edu/brakke/evolver.

Command line options (multiple letters may not be combined):

datafile
    Text file defining a surface. If omitted, you will be prompted.

-a  Autoconvert to named quantities when needed (default is on); use "-a-" to deactivate autoconversion.

-d  Begin with parser debugging on (equivalent to "debug" runtime command). Beware of copious output.

-e  Echo stdin to stdout; meant for testing piped input.

-f file
    After loading datafile, read commands from file, then command line prompt.

-h  Print help for command line options.

-i  Preserve datafile numbers for element id's, rather than renumbering.

-m  Begin with memory debugging on (equivalent to "memdebug" runtime command). Beware of copious output.

-pN Run with N concurrent processes.

-q  Convert to named quantities at start (equivalent to "convert_to_quantities" runtime command).

-w  Exit immediately after any warning or error message; meant for batch runs.

-x  Exit immediately after any error message; meant for batch runs.

-y  Break to user prompt after any warning message.

ENVIRONMENT VARIABLES
EVOLVERPATH
    Colon-separated list of paths automatically searched for datafiles, included files, or help documentation.